'use strict';

/**
 * @ngdoc overview
 * @name tfccApp
 * @description
 * # tfccApp
 *
 * Main module of the application.
 */
var TFCCApp = angular.module('dhapTFCCUiApp', ['ngRoute', 'ngMessages', 'dhapTFCCUiApp.constants', 'uuid']);
TFCCApp.config(function ($routeProvider, configuration, CONSTANTS) {
        $routeProvider
            .when('/', {
                templateUrl: 'views/login.html'

            })
            .when('/linkAccountSuccess', {
                templateUrl: 'views/linkAccountSuccessPage.html',
                controller: 'linkAccountSuccessController'
            })
            .otherwise({
                redirectTo: '/'
            });
    CONSTANTS.TFCC_BASE_URL = configuration.TFCC_BASE_URL;
    CONSTANTS.TFCC_GATEWAY_URL = configuration.TFCC_GATEWAY_URL;
    CONSTANTS.TFCC_INSTRUMENT_TYPE = configuration.TFCC_INSTRUMENT_TYPE;
    });

TFCCApp.constant('CONSTANTS', {
    TFCC_BASE_URL: "",
    TFCC_GATEWAY_URL: "",
    TFCC_INSTRUMENT_TYPE: ""

});