'use strict';

TFCCApp.service('registerInstrumentService', ['$http', 'CONSTANTS', function ($http, CONSTANTS) {
    this.registerInstrument = function (input, successFunction, failureFunction) {
        $http({
            method: "POST",
            headers: {'Content-Type': 'application/json'},
            url: CONSTANTS.TFCC_BASE_URL + CONSTANTS.TFCC_GATEWAY_URL,
            data: input
        }).success(successFunction).error(failureFunction);

    }
}]);