TFCCApp.factory("Sqlite", function () {
    var sqlite3 = require('sqlite3').verbose();
    const path = require('path');
    const dbPath = path.resolve(__dirname, 'tfccSqlite.db');
    var db = new sqlite3.Database(dbPath);

    return {

        initializeDataBase: function () {

            db.serialize(function () {
                db.run("CREATE TABLE IF NOT EXISTS instrument_details (principalId TEXT, userFullName TEXT, serialNumber TEXT, instrumentId TEXT, instrumentToken TEXT, instrumentType TEXT)");
            })
        },
        insert: function (principalId, userFullName, serialNumber, instrumentId, instrumentToken, instrumentType) {

            db.serialize(function () {
                var stmt = db.prepare("INSERT INTO instrument_details VALUES (?,?,?,?,?,?)");

                stmt.run(principalId, userFullName, serialNumber, instrumentId, instrumentToken, instrumentType);
                stmt.finalize();
                db.close();
            })
        }
    }

});

